Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Update
[simgrid.git] / examples / simdag / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = sd_test$(EXEEXT)
45 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
46         $(srcdir)/test_simdag.in $(top_srcdir)/acmacro/dist-files.mk
47 subdir = examples/simdag
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
50         $(top_srcdir)/acmacro/compiler-flags.m4 \
51         $(top_srcdir)/acmacro/context.m4 \
52         $(top_srcdir)/acmacro/fancy_configury.m4 \
53         $(top_srcdir)/acmacro/flex.m4 \
54         $(top_srcdir)/acmacro/gras_arch.m4 \
55         $(top_srcdir)/acmacro/print_null.m4 \
56         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58         $(ACLOCAL_M4)
59 mkinstalldirs = $(install_sh) -d
60 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
61 CONFIG_CLEAN_FILES = test_simdag
62 am_sd_test_OBJECTS = sd_test.$(OBJEXT)
63 sd_test_OBJECTS = $(am_sd_test_OBJECTS)
64 sd_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
65 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
66 depcomp = $(SHELL) $(top_srcdir)/depcomp
67 am__depfiles_maybe = depfiles
68 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
69         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
70 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
71         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
72         $(AM_CFLAGS) $(CFLAGS)
73 CCLD = $(CC)
74 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
75         $(AM_LDFLAGS) $(LDFLAGS) -o $@
76 SOURCES = $(sd_test_SOURCES)
77 DIST_SOURCES = $(sd_test_SOURCES)
78 ETAGS = etags
79 CTAGS = ctags
80 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
81 ACLOCAL = @ACLOCAL@
82 ADDR2LINE = @ADDR2LINE@
83 AMDEP_FALSE = @AMDEP_FALSE@
84 AMDEP_TRUE = @AMDEP_TRUE@
85 AMTAR = @AMTAR@
86 AR = @AR@
87 AS = @AS@
88 AUTOCONF = @AUTOCONF@
89 AUTOHEADER = @AUTOHEADER@
90 AUTOMAKE = @AUTOMAKE@
91 AWK = @AWK@
92 BASH = @BASH@
93 CC = @CC@
94 CCDEPMODE = @CCDEPMODE@
95 CFLAGS = @CFLAGS@
96 CPP = @CPP@
97 CPPFLAGS = @CPPFLAGS@
98 CXX = @CXX@
99 CXXCPP = @CXXCPP@
100 CXXDEPMODE = @CXXDEPMODE@
101 CXXFLAGS = @CXXFLAGS@
102 CYGPATH_W = @CYGPATH_W@
103 DEFS = @DEFS@
104 DEPDIR = @DEPDIR@
105 DLLTOOL = @DLLTOOL@
106 DOXYGEN = @DOXYGEN@
107 ECHO = @ECHO@
108 ECHO_C = @ECHO_C@
109 ECHO_N = @ECHO_N@
110 ECHO_T = @ECHO_T@
111 EGREP = @EGREP@
112 EXEEXT = @EXEEXT@
113 F77 = @F77@
114 FFLAGS = @FFLAGS@
115 FLEXML = @FLEXML@
116 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
117 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
118 GRAS_DEP = @GRAS_DEP@
119 GREP = @GREP@
120 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
121 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
122 HAVE_SDP_FALSE = @HAVE_SDP_FALSE@
123 HAVE_SDP_TRUE = @HAVE_SDP_TRUE@
124 INSTALL_DATA = @INSTALL_DATA@
125 INSTALL_PROGRAM = @INSTALL_PROGRAM@
126 INSTALL_SCRIPT = @INSTALL_SCRIPT@
127 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
128 LDFLAGS = @LDFLAGS@
129 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
130 LEX = @LEX@
131 LEXLIB = @LEXLIB@
132 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
133 LIBOBJS = @LIBOBJS@
134 LIBS = @LIBS@
135 LIBTOOL = @LIBTOOL@
136 LN_S = @LN_S@
137 LTLIBOBJS = @LTLIBOBJS@
138 MAINT = @MAINT@
139 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
140 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
141 MAKEINFO = @MAKEINFO@
142 MD5SUM = @MD5SUM@
143 OBJDUMP = @OBJDUMP@
144 OBJEXT = @OBJEXT@
145 PACKAGE = @PACKAGE@
146 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
147 PACKAGE_NAME = @PACKAGE_NAME@
148 PACKAGE_STRING = @PACKAGE_STRING@
149 PACKAGE_TARNAME = @PACKAGE_TARNAME@
150 PACKAGE_VERSION = @PACKAGE_VERSION@
151 PATH_SEPARATOR = @PATH_SEPARATOR@
152 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
153 RANLIB = @RANLIB@
154 SET_MAKE = @SET_MAKE@
155 SHELL = @SHELL@
156 SIMGRID_DEP = @SIMGRID_DEP@
157 STRIP = @STRIP@
158 USE_SIMIX_FALSE = @USE_SIMIX_FALSE@
159 USE_SIMIX_TRUE = @USE_SIMIX_TRUE@
160 VERSION = @VERSION@
161 WARNING = @WARNING@
162 abs_builddir = @abs_builddir@
163 abs_srcdir = @abs_srcdir@
164 abs_top_builddir = @abs_top_builddir@
165 abs_top_srcdir = @abs_top_srcdir@
166 ac_configure_args = @ac_configure_args@
167 ac_ct_CC = @ac_ct_CC@
168 ac_ct_CXX = @ac_ct_CXX@
169 ac_ct_F77 = @ac_ct_F77@
170 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
171 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
172 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
173 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
174 am__include = @am__include@
175 am__leading_dot = @am__leading_dot@
176 am__quote = @am__quote@
177 am__tar = @am__tar@
178 am__untar = @am__untar@
179 bindir = @bindir@
180 build = @build@
181 build_alias = @build_alias@
182 build_cpu = @build_cpu@
183 build_id = @build_id@
184 build_os = @build_os@
185 build_vendor = @build_vendor@
186 datadir = @datadir@
187 datarootdir = @datarootdir@
188 docdir = @docdir@
189 dvidir = @dvidir@
190 exec_prefix = @exec_prefix@
191 host = @host@
192 host_alias = @host_alias@
193 host_cpu = @host_cpu@
194 host_os = @host_os@
195 host_vendor = @host_vendor@
196 htmldir = @htmldir@
197 includedir = @includedir@
198 infodir = @infodir@
199 install_sh = @install_sh@
200 libdir = @libdir@
201 libexecdir = @libexecdir@
202 localedir = @localedir@
203 localstatedir = @localstatedir@
204 mandir = @mandir@
205 mkdir_p = @mkdir_p@
206 oldincludedir = @oldincludedir@
207 pdfdir = @pdfdir@
208 prefix = @prefix@
209 program_transform_name = @program_transform_name@
210 psdir = @psdir@
211 pth_skaddr_makecontext = @pth_skaddr_makecontext@
212 pth_sksize_makecontext = @pth_sksize_makecontext@
213 sbindir = @sbindir@
214 sharedstatedir = @sharedstatedir@
215 sysconfdir = @sysconfdir@
216 target = @target@
217 target_alias = @target_alias@
218 target_cpu = @target_cpu@
219 target_os = @target_os@
220 target_vendor = @target_vendor@
221 INCLUDES = -I$(top_srcdir)/include
222 AM_CFLAGS = -g
223 EXTRA_DIST = small_platform.xml
224 CLEANFILES = sd_test.trace
225 TESTS = test_simdag
226 sd_test_SOURCES = sd_test.c
227 sd_test_LDADD = $(top_builddir)/src/libsimgrid.la
228 all: all-am
229
230 .SUFFIXES:
231 .SUFFIXES: .c .lo .o .obj
232 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
233         @for dep in $?; do \
234           case '$(am__configure_deps)' in \
235             *$$dep*) \
236               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
237                 && exit 0; \
238               exit 1;; \
239           esac; \
240         done; \
241         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/simdag/Makefile'; \
242         cd $(top_srcdir) && \
243           $(AUTOMAKE) --gnu  examples/simdag/Makefile
244 .PRECIOUS: Makefile
245 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
246         @case '$?' in \
247           *config.status*) \
248             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
249           *) \
250             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
251             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
252         esac;
253
254 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
255         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
256
257 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
258         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
259 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
260         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
261 test_simdag: $(top_builddir)/config.status $(srcdir)/test_simdag.in
262         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
263
264 clean-checkPROGRAMS:
265         @list='$(check_PROGRAMS)'; for p in $$list; do \
266           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
267           echo " rm -f $$p $$f"; \
268           rm -f $$p $$f ; \
269         done
270 sd_test$(EXEEXT): $(sd_test_OBJECTS) $(sd_test_DEPENDENCIES) 
271         @rm -f sd_test$(EXEEXT)
272         $(LINK) $(sd_test_LDFLAGS) $(sd_test_OBJECTS) $(sd_test_LDADD) $(LIBS)
273
274 mostlyclean-compile:
275         -rm -f *.$(OBJEXT)
276
277 distclean-compile:
278         -rm -f *.tab.c
279
280 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
281
282 .c.o:
283 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
284 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
285 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
286 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
287 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
288
289 .c.obj:
290 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
291 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
292 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
293 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
294 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
295
296 .c.lo:
297 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
298 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
299 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
300 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
301 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
302
303 mostlyclean-libtool:
304         -rm -f *.lo
305
306 clean-libtool:
307         -rm -rf .libs _libs
308
309 distclean-libtool:
310         -rm -f libtool
311 uninstall-info-am:
312
313 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
314         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
315         unique=`for i in $$list; do \
316             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
317           done | \
318           $(AWK) '    { files[$$0] = 1; } \
319                END { for (i in files) print i; }'`; \
320         mkid -fID $$unique
321 tags: TAGS
322
323 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
324                 $(TAGS_FILES) $(LISP)
325         tags=; \
326         here=`pwd`; \
327         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
328         unique=`for i in $$list; do \
329             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
330           done | \
331           $(AWK) '    { files[$$0] = 1; } \
332                END { for (i in files) print i; }'`; \
333         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
334           test -n "$$unique" || unique=$$empty_fix; \
335           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
336             $$tags $$unique; \
337         fi
338 ctags: CTAGS
339 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
340                 $(TAGS_FILES) $(LISP)
341         tags=; \
342         here=`pwd`; \
343         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
344         unique=`for i in $$list; do \
345             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
346           done | \
347           $(AWK) '    { files[$$0] = 1; } \
348                END { for (i in files) print i; }'`; \
349         test -z "$(CTAGS_ARGS)$$tags$$unique" \
350           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
351              $$tags $$unique
352
353 GTAGS:
354         here=`$(am__cd) $(top_builddir) && pwd` \
355           && cd $(top_srcdir) \
356           && gtags -i $(GTAGS_ARGS) $$here
357
358 distclean-tags:
359         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
360
361 check-TESTS: $(TESTS)
362         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
363         srcdir=$(srcdir); export srcdir; \
364         list='$(TESTS)'; \
365         if test -n "$$list"; then \
366           for tst in $$list; do \
367             if test -f ./$$tst; then dir=./; \
368             elif test -f $$tst; then dir=; \
369             else dir="$(srcdir)/"; fi; \
370             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
371               all=`expr $$all + 1`; \
372               case " $(XFAIL_TESTS) " in \
373               *" $$tst "*) \
374                 xpass=`expr $$xpass + 1`; \
375                 failed=`expr $$failed + 1`; \
376                 echo "XPASS: $$tst"; \
377               ;; \
378               *) \
379                 echo "PASS: $$tst"; \
380               ;; \
381               esac; \
382             elif test $$? -ne 77; then \
383               all=`expr $$all + 1`; \
384               case " $(XFAIL_TESTS) " in \
385               *" $$tst "*) \
386                 xfail=`expr $$xfail + 1`; \
387                 echo "XFAIL: $$tst"; \
388               ;; \
389               *) \
390                 failed=`expr $$failed + 1`; \
391                 echo "FAIL: $$tst"; \
392               ;; \
393               esac; \
394             else \
395               skip=`expr $$skip + 1`; \
396               echo "SKIP: $$tst"; \
397             fi; \
398           done; \
399           if test "$$failed" -eq 0; then \
400             if test "$$xfail" -eq 0; then \
401               banner="All $$all tests passed"; \
402             else \
403               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
404             fi; \
405           else \
406             if test "$$xpass" -eq 0; then \
407               banner="$$failed of $$all tests failed"; \
408             else \
409               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
410             fi; \
411           fi; \
412           dashes="$$banner"; \
413           skipped=""; \
414           if test "$$skip" -ne 0; then \
415             skipped="($$skip tests were not run)"; \
416             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
417               dashes="$$skipped"; \
418           fi; \
419           report=""; \
420           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
421             report="Please report to $(PACKAGE_BUGREPORT)"; \
422             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
423               dashes="$$report"; \
424           fi; \
425           dashes=`echo "$$dashes" | sed s/./=/g`; \
426           echo "$$dashes"; \
427           echo "$$banner"; \
428           test -z "$$skipped" || echo "$$skipped"; \
429           test -z "$$report" || echo "$$report"; \
430           echo "$$dashes"; \
431           test "$$failed" -eq 0; \
432         else :; fi
433
434 distdir: $(DISTFILES)
435         $(mkdir_p) $(distdir)/../../acmacro
436         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
437         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
438         list='$(DISTFILES)'; for file in $$list; do \
439           case $$file in \
440             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
441             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
442           esac; \
443           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
444           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
445           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
446             dir="/$$dir"; \
447             $(mkdir_p) "$(distdir)$$dir"; \
448           else \
449             dir=''; \
450           fi; \
451           if test -d $$d/$$file; then \
452             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
453               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
454             fi; \
455             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
456           else \
457             test -f $(distdir)/$$file \
458             || cp -p $$d/$$file $(distdir)/$$file \
459             || exit 1; \
460           fi; \
461         done
462 check-am: all-am
463         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
464         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
465 check: check-am
466 all-am: Makefile
467 installdirs:
468 install: install-am
469 install-exec: install-exec-am
470 install-data: install-data-am
471 uninstall: uninstall-am
472
473 install-am: all-am
474         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
475
476 installcheck: installcheck-am
477 install-strip:
478         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
479           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
480           `test -z '$(STRIP)' || \
481             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
482 mostlyclean-generic:
483
484 clean-generic:
485         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
486
487 distclean-generic:
488         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
489
490 maintainer-clean-generic:
491         @echo "This command is intended for maintainers to use"
492         @echo "it deletes files that may require special tools to rebuild."
493 clean: clean-am
494
495 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
496         mostlyclean-am
497
498 distclean: distclean-am
499         -rm -rf ./$(DEPDIR)
500         -rm -f Makefile
501 distclean-am: clean-am distclean-compile distclean-generic \
502         distclean-libtool distclean-tags
503
504 dvi: dvi-am
505
506 dvi-am:
507
508 html: html-am
509
510 info: info-am
511
512 info-am:
513
514 install-data-am:
515
516 install-exec-am:
517
518 install-info: install-info-am
519
520 install-man:
521
522 installcheck-am:
523
524 maintainer-clean: maintainer-clean-am
525         -rm -rf ./$(DEPDIR)
526         -rm -f Makefile
527 maintainer-clean-am: distclean-am maintainer-clean-generic
528
529 mostlyclean: mostlyclean-am
530
531 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
532         mostlyclean-libtool
533
534 pdf: pdf-am
535
536 pdf-am:
537
538 ps: ps-am
539
540 ps-am:
541
542 uninstall-am: uninstall-info-am
543
544 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
545         clean-checkPROGRAMS clean-generic clean-libtool ctags \
546         distclean distclean-compile distclean-generic \
547         distclean-libtool distclean-tags distdir dvi dvi-am html \
548         html-am info info-am install install-am install-data \
549         install-data-am install-exec install-exec-am install-info \
550         install-info-am install-man install-strip installcheck \
551         installcheck-am installdirs maintainer-clean \
552         maintainer-clean-generic mostlyclean mostlyclean-compile \
553         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
554         tags uninstall uninstall-am uninstall-info-am
555
556
557 dist-files:
558         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
559         @echo
560         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
561 # Tell versions [3.59,3.63) of GNU make to not export all variables.
562 # Otherwise a system limit (for SysV at least) may be exceeded.
563 .NOEXPORT: